Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface WorkingStateType

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlString, XmlTokenSource

    public interface WorkingStateType

extends XmlString

An XML workingStateType(@http://www.bea.com/wli/worklist/xml). This is an atomic type that is a restriction of com.bea.wli.worklist.xml.WorkingStateType.

Nested Class Summary
`static class` | `WorkingStateType.Enum` Enumeration value class for com.bea.wli.worklist.xml.WorkingStateType.
`static class` | `WorkingStateType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static WorkingStateType.Enum` | `ASSIGNED`
`static WorkingStateType.Enum` | `CLAIMED`
`static int` | `INT_ASSIGNED`
`static int` | `INT_CLAIMED`
`static int` | `INT_UNASSIGNED`
`static SchemaType` | `type`
`static WorkingStateType.Enum` | `UNASSIGNED`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`StringEnumAbstractBase` | `enumValue()`
`void` | `set(StringEnumAbstractBase e)`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

### UNASSIGNED

    static final WorkingStateType.Enum UNASSIGNED

### ASSIGNED

    static final WorkingStateType.Enum ASSIGNED

### CLAIMED

    static final WorkingStateType.Enum CLAIMED

### INT_UNASSIGNED

    static final int INT_UNASSIGNED

See Also:
  Constant Field Values

### INT_ASSIGNED

    static final int INT_ASSIGNED

See Also:
  Constant Field Values

### INT_CLAIMED

    static final int INT_CLAIMED

See Also:
  Constant Field Values

Method Detail

### enumValue

    StringEnumAbstractBase enumValue()

### set

    void set(StringEnumAbstractBase e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD